<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.foreverwin.mesnac.quartz.mapper.SystemJobLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.foreverwin.mesnac.quartz.model.SystemJobLog">
        <id column="HANDLE" property="handle" />
        <result column="JOB_BO" property="jobBo" />
        <result column="NAME" property="name" />
        <result column="DESCRIPTION" property="description" />
        <result column="JOB_CLASS" property="jobClass" />
        <result column="JOB_GROUP" property="jobGroup" />
        <result column="JOB_PARAM" property="jobParam" />
        <result column="STATUS" property="status" />
        <result column="ERROR" property="error" />
        <result column="RUN_TIME" property="runTime" />
        <result column="START_DATE_TIME" property="startDateTime" />
        <result column="END_DATE_TIME" property="endDateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        HANDLE, JOB_BO, NAME, DESCRIPTION, JOB_CLASS, JOB_GROUP, JOB_PARAM, STATUS, ERROR, RUN_TIME, START_DATE_TIME, END_DATE_TIME
    </sql>

    <!-- BaseMapper标准查询/修改/删除 -->
    <select id="selectById" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List"></include> FROM Z_SYSTEM_JOB_LOG WHERE HANDLE=#{handle}
    </select>

    <select id="selectByMap" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List"></include>
        FROM Z_SYSTEM_JOB_LOG
        <if test="cm!=null and !cm.isEmpty">
            <where>
                <foreach collection="cm.keys" item="k" separator="AND">
                    <if test="cm[k] != null">
                        ${k} = #{cm[${k}]}
                    </if>
                </foreach>
            </where>
        </if>
    </select>

    <select id="selectBatchIds" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List"></include>
        FROM Z_SYSTEM_JOB_LOG WHERE HANDLE IN (
        <foreach item="item" index="index" collection="coll" separator=",">#{item}
        </foreach>)
    </select>

    <select id="selectOne" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List"></include> FROM Z_SYSTEM_JOB_LOG
        <where>
            <if test="ew.handle!=null">
              HANDLE=#{ew.handle}
            </if>
            <if test="ew.jobBo!=null"> AND JOB_BO=#{ew.jobBo}</if>
            <if test="ew.name!=null"> AND NAME=#{ew.name}</if>
            <if test="ew.description!=null"> AND DESCRIPTION=#{ew.description}</if>
            <if test="ew.jobClass!=null"> AND JOB_CLASS=#{ew.jobClass}</if>
            <if test="ew.jobGroup!=null"> AND JOB_GROUP=#{ew.jobGroup}</if>
            <if test="ew.jobParam!=null"> AND JOB_PARAM=#{ew.jobParam}</if>
            <if test="ew.status!=null"> AND STATUS=#{ew.status}</if>
            <if test="ew.error!=null"> AND ERROR=#{ew.error}</if>
            <if test="ew.runTime!=null"> AND RUN_TIME=#{ew.runTime}</if>
            <if test="ew.startDateTime!=null"> AND START_DATE_TIME=#{ew.startDateTime}</if>
            <if test="ew.endDateTime!=null"> AND END_DATE_TIME=#{ew.endDateTime}</if>
        </where>
    </select>

    <select id="selectCount" resultType="Integer">
        SELECT COUNT(1) FROM Z_SYSTEM_JOB_LOG
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                <if test="ew.entity.handle!=null">
                    HANDLE=#{ew.entity.handle}
                </if>
                <if test="ew.entity.jobBo!=null"> AND JOB_BO=#{ew.entity.jobBo}</if>
                <if test="ew.entity.name!=null"> AND NAME=#{ew.entity.name}</if>
                <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                <if test="ew.entity.jobClass!=null"> AND JOB_CLASS=#{ew.entity.jobClass}</if>
                <if test="ew.entity.jobGroup!=null"> AND JOB_GROUP=#{ew.entity.jobGroup}</if>
                <if test="ew.entity.jobParam!=null"> AND JOB_PARAM=#{ew.entity.jobParam}</if>
                <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                <if test="ew.entity.error!=null"> AND ERROR=#{ew.entity.error}</if>
                <if test="ew.entity.runTime!=null"> AND RUN_TIME=#{ew.entity.runTime}</if>
                <if test="ew.entity.startDateTime!=null"> AND START_DATE_TIME=#{ew.entity.startDateTime}</if>
                <if test="ew.entity.endDateTime!=null"> AND END_DATE_TIME=#{ew.entity.endDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectList" resultMap="BaseResultMap">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_SYSTEM_JOB_LOG
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.jobBo!=null"> AND JOB_BO=#{ew.entity.jobBo}</if>
                    <if test="ew.entity.name!=null"> AND NAME=#{ew.entity.name}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.jobClass!=null"> AND JOB_CLASS=#{ew.entity.jobClass}</if>
                    <if test="ew.entity.jobGroup!=null"> AND JOB_GROUP=#{ew.entity.jobGroup}</if>
                    <if test="ew.entity.jobParam!=null"> AND JOB_PARAM=#{ew.entity.jobParam}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.error!=null"> AND ERROR=#{ew.entity.error}</if>
                    <if test="ew.entity.runTime!=null"> AND RUN_TIME=#{ew.entity.runTime}</if>
                    <if test="ew.entity.startDateTime!=null"> AND START_DATE_TIME=#{ew.entity.startDateTime}</if>
                    <if test="ew.entity.endDateTime!=null"> AND END_DATE_TIME=#{ew.entity.endDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectMaps" resultType="HashMap">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_SYSTEM_JOB_LOG
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.jobBo!=null"> AND JOB_BO=#{ew.entity.jobBo}</if>
                    <if test="ew.entity.name!=null"> AND NAME=#{ew.entity.name}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.jobClass!=null"> AND JOB_CLASS=#{ew.entity.jobClass}</if>
                    <if test="ew.entity.jobGroup!=null"> AND JOB_GROUP=#{ew.entity.jobGroup}</if>
                    <if test="ew.entity.jobParam!=null"> AND JOB_PARAM=#{ew.entity.jobParam}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.error!=null"> AND ERROR=#{ew.entity.error}</if>
                    <if test="ew.entity.runTime!=null"> AND RUN_TIME=#{ew.entity.runTime}</if>
                    <if test="ew.entity.startDateTime!=null"> AND START_DATE_TIME=#{ew.entity.startDateTime}</if>
                    <if test="ew.entity.endDateTime!=null"> AND END_DATE_TIME=#{ew.entity.endDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectObjs" resultType="Object">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_SYSTEM_JOB_LOG
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.jobBo!=null"> AND JOB_BO=#{ew.entity.jobBo}</if>
                    <if test="ew.entity.name!=null"> AND NAME=#{ew.entity.name}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.jobClass!=null"> AND JOB_CLASS=#{ew.entity.jobClass}</if>
                    <if test="ew.entity.jobGroup!=null"> AND JOB_GROUP=#{ew.entity.jobGroup}</if>
                    <if test="ew.entity.jobParam!=null"> AND JOB_PARAM=#{ew.entity.jobParam}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.error!=null"> AND ERROR=#{ew.entity.error}</if>
                    <if test="ew.entity.runTime!=null"> AND RUN_TIME=#{ew.entity.runTime}</if>
                    <if test="ew.entity.startDateTime!=null"> AND START_DATE_TIME=#{ew.entity.startDateTime}</if>
                    <if test="ew.entity.endDateTime!=null"> AND END_DATE_TIME=#{ew.entity.endDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectPage" resultMap="BaseResultMap">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_SYSTEM_JOB_LOG
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.jobBo!=null"> AND JOB_BO=#{ew.entity.jobBo}</if>
                    <if test="ew.entity.name!=null"> AND NAME=#{ew.entity.name}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.jobClass!=null"> AND JOB_CLASS=#{ew.entity.jobClass}</if>
                    <if test="ew.entity.jobGroup!=null"> AND JOB_GROUP=#{ew.entity.jobGroup}</if>
                    <if test="ew.entity.jobParam!=null"> AND JOB_PARAM=#{ew.entity.jobParam}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.error!=null"> AND ERROR=#{ew.entity.error}</if>
                    <if test="ew.entity.runTime!=null"> AND RUN_TIME=#{ew.entity.runTime}</if>
                    <if test="ew.entity.startDateTime!=null"> AND START_DATE_TIME=#{ew.entity.startDateTime}</if>
                    <if test="ew.entity.endDateTime!=null"> AND END_DATE_TIME=#{ew.entity.endDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectMapsPage" resultType="HashMap">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_SYSTEM_JOB_LOG
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.jobBo!=null"> AND JOB_BO=#{ew.entity.jobBo}</if>
                    <if test="ew.entity.name!=null"> AND NAME=#{ew.entity.name}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.jobClass!=null"> AND JOB_CLASS=#{ew.entity.jobClass}</if>
                    <if test="ew.entity.jobGroup!=null"> AND JOB_GROUP=#{ew.entity.jobGroup}</if>
                    <if test="ew.entity.jobParam!=null"> AND JOB_PARAM=#{ew.entity.jobParam}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.error!=null"> AND ERROR=#{ew.entity.error}</if>
                    <if test="ew.entity.runTime!=null"> AND RUN_TIME=#{ew.entity.runTime}</if>
                    <if test="ew.entity.startDateTime!=null"> AND START_DATE_TIME=#{ew.entity.startDateTime}</if>
                    <if test="ew.entity.endDateTime!=null"> AND END_DATE_TIME=#{ew.entity.endDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <insert id="insert" parameterType="com.foreverwin.mesnac.quartz.model.SystemJobLog">
        INSERT INTO Z_SYSTEM_JOB_LOG
        <trim prefix="(" suffix=")" suffixOverrides=",">
            HANDLE,
            <if test="jobBo!=null">JOB_BO,</if>
            <if test="name!=null">NAME,</if>
            <if test="description!=null">DESCRIPTION,</if>
            <if test="jobClass!=null">JOB_CLASS,</if>
            <if test="jobGroup!=null">JOB_GROUP,</if>
            <if test="jobParam!=null">JOB_PARAM,</if>
            <if test="status!=null">STATUS,</if>
            <if test="error!=null">ERROR,</if>
            <if test="runTime!=null">RUN_TIME,</if>
            <if test="startDateTime!=null">START_DATE_TIME,</if>
            <if test="endDateTime!=null">END_DATE_TIME,</if>
        </trim> VALUES
        <trim prefix="(" suffix=")" suffixOverrides=",">
            #{handle},
            <if test="jobBo!=null">#{jobBo},</if>
            <if test="name!=null">#{name},</if>
            <if test="description!=null">#{description},</if>
            <if test="jobClass!=null">#{jobClass},</if>
            <if test="jobGroup!=null">#{jobGroup},</if>
            <if test="jobParam!=null">#{jobParam},</if>
            <if test="status!=null">#{status},</if>
            <if test="error!=null">#{error},</if>
            <if test="runTime!=null">#{runTime},</if>
            <if test="startDateTime!=null">#{startDateTime},</if>
            <if test="endDateTime!=null">#{endDateTime},</if>
        </trim>
    </insert>

    <insert id="insertAllColumn" parameterType="com.foreverwin.mesnac.quartz.model.SystemJobLog">
        INSERT INTO Z_SYSTEM_JOB_LOG
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <include refid="Base_Column_List"></include>
        </trim> VALUES
        <trim prefix="(" suffix=")" suffixOverrides=",">
            #{handle},
            #{jobBo},
            #{name},
            #{description},
            #{jobClass},
            #{jobGroup},
            #{jobParam},
            #{status},
            #{error},
            #{runTime},
            #{startDateTime},
            #{endDateTime},
        </trim>
    </insert>


    <update id="updateById">
        UPDATE Z_SYSTEM_JOB_LOG <trim prefix="SET" suffixOverrides=",">
        <if test="et.jobBo!=null">JOB_BO=#{et.jobBo},</if>
        <if test="et.name!=null">NAME=#{et.name},</if>
        <if test="et.description!=null">DESCRIPTION=#{et.description},</if>
        <if test="et.jobClass!=null">JOB_CLASS=#{et.jobClass},</if>
        <if test="et.jobGroup!=null">JOB_GROUP=#{et.jobGroup},</if>
        <if test="et.jobParam!=null">JOB_PARAM=#{et.jobParam},</if>
        <if test="et.status!=null">STATUS=#{et.status},</if>
        <if test="et.error!=null">ERROR=#{et.error},</if>
        <if test="et.runTime!=null">RUN_TIME=#{et.runTime},</if>
        <if test="et.startDateTime!=null">START_DATE_TIME=#{et.startDateTime},</if>
        <if test="et.endDateTime!=null">END_DATE_TIME=#{et.endDateTime},</if>
        </trim> WHERE HANDLE=#{et.handle} <if test="et instanceof java.util.Map"><if test="et.MP_OPTLOCK_VERSION_ORIGINAL!=null">and ${et.MP_OPTLOCK_VERSION_COLUMN}=#{et.MP_OPTLOCK_VERSION_ORIGINAL}</if></if>
    </update>


    <update id="updateAllColumnById">
        UPDATE Z_SYSTEM_JOB_LOG <trim prefix="SET" suffixOverrides=",">
        JOB_BO=#{et.jobBo},
        NAME=#{et.name},
        DESCRIPTION=#{et.description},
        JOB_CLASS=#{et.jobClass},
        JOB_GROUP=#{et.jobGroup},
        JOB_PARAM=#{et.jobParam},
        STATUS=#{et.status},
        ERROR=#{et.error},
        RUN_TIME=#{et.runTime},
        START_DATE_TIME=#{et.startDateTime},
        END_DATE_TIME=#{et.endDateTime},
     </trim> WHERE HANDLE=#{et.handle} <if test="et instanceof java.util.Map"><if test="et.MP_OPTLOCK_VERSION_ORIGINAL!=null">and ${et.MP_OPTLOCK_VERSION_COLUMN}=#{et.MP_OPTLOCK_VERSION_ORIGINAL}</if></if>
    </update>


    <update id="update">
        UPDATE Z_SYSTEM_JOB_LOG <trim prefix="SET" suffixOverrides=",">
        <if test="et.jobBo!=null">JOB_BO=#{et.jobBo},</if>
        <if test="et.name!=null">NAME=#{et.name},</if>
        <if test="et.description!=null">DESCRIPTION=#{et.description},</if>
        <if test="et.jobClass!=null">JOB_CLASS=#{et.jobClass},</if>
        <if test="et.jobGroup!=null">JOB_GROUP=#{et.jobGroup},</if>
        <if test="et.jobParam!=null">JOB_PARAM=#{et.jobParam},</if>
        <if test="et.status!=null">STATUS=#{et.status},</if>
        <if test="et.error!=null">ERROR=#{et.error},</if>
        <if test="et.runTime!=null">RUN_TIME=#{et.runTime},</if>
        <if test="et.startDateTime!=null">START_DATE_TIME=#{et.startDateTime},</if>
        <if test="et.endDateTime!=null">END_DATE_TIME=#{et.endDateTime},</if>
    </trim>
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    HANDLE=#{ew.entity.handle}
                    <if test="ew.entity.jobBo!=null"> AND JOB_BO=#{ew.entity.jobBo}</if>
                    <if test="ew.entity.name!=null"> AND NAME=#{ew.entity.name}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.jobClass!=null"> AND JOB_CLASS=#{ew.entity.jobClass}</if>
                    <if test="ew.entity.jobGroup!=null"> AND JOB_GROUP=#{ew.entity.jobGroup}</if>
                    <if test="ew.entity.jobParam!=null"> AND JOB_PARAM=#{ew.entity.jobParam}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.error!=null"> AND ERROR=#{ew.entity.error}</if>
                    <if test="ew.entity.runTime!=null"> AND RUN_TIME=#{ew.entity.runTime}</if>
                    <if test="ew.entity.startDateTime!=null"> AND START_DATE_TIME=#{ew.entity.startDateTime}</if>
                    <if test="ew.entity.endDateTime!=null"> AND END_DATE_TIME=#{ew.entity.endDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </update>

    <delete id="deleteById">
        DELETE FROM Z_SYSTEM_JOB_LOG WHERE HANDLE=#{handle}
    </delete>

    <delete id="deleteByMap">
        DELETE FROM Z_SYSTEM_JOB_LOG
        <if test="cm!=null and !cm.isEmpty">
            <where>
                <foreach collection="cm.keys" item="k" separator="AND">
                    <if test="cm[k] != null">
                        ${k} = #{cm[${k}]}
                    </if>
                </foreach>
            </where>
        </if>
    </delete>

    <delete id="delete">
        DELETE FROM Z_SYSTEM_JOB_LOG
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.jobBo!=null"> AND JOB_BO=#{ew.entity.jobBo}</if>
                    <if test="ew.entity.name!=null"> AND NAME=#{ew.entity.name}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.jobClass!=null"> AND JOB_CLASS=#{ew.entity.jobClass}</if>
                    <if test="ew.entity.jobGroup!=null"> AND JOB_GROUP=#{ew.entity.jobGroup}</if>
                    <if test="ew.entity.jobParam!=null"> AND JOB_PARAM=#{ew.entity.jobParam}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.error!=null"> AND ERROR=#{ew.entity.error}</if>
                    <if test="ew.entity.runTime!=null"> AND RUN_TIME=#{ew.entity.runTime}</if>
                    <if test="ew.entity.startDateTime!=null"> AND START_DATE_TIME=#{ew.entity.startDateTime}</if>
                    <if test="ew.entity.endDateTime!=null"> AND END_DATE_TIME=#{ew.entity.endDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </delete>

    <delete id="deleteBatchIds">
        DELETE FROM Z_SYSTEM_JOB_LOG WHERE HANDLE IN (
        <foreach item="item" index="index" collection="coll" separator=",">#{item}
        </foreach>)
    </delete>
    <!-- BaseMapper标准查询/修改/删除 -->

</mapper>
